aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/oneclick/createAll.bash
diff options
context:
space:
mode:
authorMike Elliott <mike.elliott@amdocs.com>2018-03-26 10:12:41 -0400
committerMike Elliott <mike.elliott@amdocs.com>2018-03-26 10:16:23 -0400
commit0eccf6a7e0b9c1d5d93d364d611329f4fc4dabcf (patch)
treeb0bb4270113eff8495f8d589abadcc14c14ff52e /kubernetes/oneclick/createAll.bash
parent114736eb5119b023bc5f166a3b42aaf933b0b223 (diff)
Remove deprecated oneclick scripts
As of Beijing, all ONAP deploys will use Helm directly. Please refer to README (OOM-827) for instructions on how to deploy ONAP using Helm. Change-Id: I5b9322c127f324d815d8dea23057bc60e04ed9c9 Issue-ID: OOM-828 Signed-off-by: Mike Elliott <mike.elliott@amdocs.com>
Diffstat (limited to 'kubernetes/oneclick/createAll.bash')
-rwxr-xr-xkubernetes/oneclick/createAll.bash189
1 files changed, 0 insertions, 189 deletions
diff --git a/kubernetes/oneclick/createAll.bash b/kubernetes/oneclick/createAll.bash
deleted file mode 100755
index ded7c392ed..0000000000
--- a/kubernetes/oneclick/createAll.bash
+++ /dev/null
@@ -1,189 +0,0 @@
-#!/bin/bash
-
-. $(dirname "$0")/setenv.bash
-
-
-usage() {
- cat <<EOF
-Usage: $0 [PARAMs]
--u : Display usage
--n [NAMESPACE] : Kubernetes namespace (required)
--v [VALUES] : HELM values filepath (usefull when deploying one component at a time)
--l [LOCATION] : Location of oom project
--i [INSTANCE] : ONAP deployment instance # (default: 1)
--a [APP] : Specify a specific ONAP component (default: all)
- from the following choices:
- sdc, aai ,mso, message-router, robot, vid, aaf, uui
- sdnc, portal, policy, appc, multicloud, clamp, consul, vnfsdk
-EOF
-}
-
-check_return_code(){
- ret=$?
- if [ $ret -ne 0 ]; then
- printf "The command $1 returned with error code $ret \n" 1>&2
- exit $ret
- fi
-}
-
-create_service_account() {
- cmd=`echo kubectl create clusterrolebinding $1-admin-binding --clusterrole=cluster-admin --serviceaccount=$1:default`
- eval ${cmd}
- check_return_code $cmd
-}
-
-create_namespace() {
- cmd=`echo kubectl create namespace $1`
- eval ${cmd}
-}
-
-create_registry_key() {
-cmd=`echo kubectl --namespace $1 create secret docker-registry $2 --docker-server=$3 --docker-username=$4 --docker-password=$5 --docker-email=$6`
- eval ${cmd}
- check_return_code $cmd
-}
-
-configure_dcaegen2() {
- if [ ! -s "$OPENSTACK_PRIVATE_KEY_PATH" ]
- then
- echo "ERROR: $OPENSTACK_PRIVATE_KEY_PATH does not exist or is empty. Cannot launch dcae gen2."
- return 1
- fi
-
- cmd=`echo kubectl --namespace $1-$2 create secret generic $2-openstack-ssh-private-key --from-file=key=${OPENSTACK_PRIVATE_KEY_PATH}`
- eval ${cmd}
- check_return_code $cmd
-
- if [ ! -s "$DCAEGEN2_CONFIG_INPUT_FILE_PATH" ]
- then
- echo "ERROR: $DCAEGEN2_CONFIG_INPUT_FILE_PATH does not exist or is empty. Cannot launch dcae gen2."
- return 1
- fi
-
- cmd=`echo kubectl --namespace $1-$2 create configmap $2-config-inputs --from-file=inputs.yaml=${DCAEGEN2_CONFIG_INPUT_FILE_PATH}`
- eval ${cmd}
- check_return_code $cmd
-}
-
-create_onap_helm() {
- HELM_VALUES_ADDITION=""
- if [[ ! -z $HELM_VALUES_FILEPATH ]]; then
- HELM_VALUES_ADDITION="--values=$HELM_VALUES_FILEPATH"
- fi
- # Have to put a check for dcaegen2 because it requires external files to helm
- # which should not be part of the Chart.
- if [ "$2" = "dcaegen2" ];
- then
- configure_dcaegen2 $1 $2
- local result=$?
- if [ $result -ne 0 ]
- then
- echo "ERROR: dcaegen2 failed to configure: Pre-requisites not met. Skipping deploying it and continue"
- return
- fi
- fi
-
- cmd=`echo helm install $LOCATION/$2/ --name $1-$2 --namespace $1 --set nsPrefix=$1,nodePortPrefix=$3 ${HELM_VALUES_ADDITION}`
- eval ${cmd}
- check_return_code $cmd
-}
-
-#MAINs
-NS=
-HELM_VALUES_FILEPATH=""
-LOCATION="../"
-INCL_SVC=true
-APP=
-INSTANCE=1
-MAX_INSTANCE=5
-DU=$ONAP_DOCKER_USER
-DP=$ONAP_DOCKER_PASS
-
-SINGLE_COMPONENT=false
-
-while getopts ":n:u:s:i:a:du:dp:l:v:" PARAM; do
- case $PARAM in
- u)
- usage
- exit 1
- ;;
- n)
- NS=${OPTARG}
- ;;
- v)
- HELM_VALUES_FILEPATH=${OPTARG}
- ;;
- i)
- INSTANCE=${OPTARG}
- ;;
- l)
- LOCATION=${OPTARG}
- ;;
- a)
- SINGLE_COMPONENT=true
- APP=${OPTARG}
- if [[ -z $APP ]]; then
- usage
- exit 1
- fi
- ;;
- du)
- DU=${OPTARG}
- ;;
- dp)
- DP=${OPTARG}
- ;;
- ?)
- usage
- exit
- ;;
- esac
-done
-
-if [[ -z $NS ]]; then
- usage
- exit 1
-fi
-
-if [[ ! -z "$APP" ]]; then
- HELM_APPS=($APP)
-fi
-
-
-if [ "$INSTANCE" -gt "$MAX_INSTANCE" ];then
- printf "\n********** You choose to create ${INSTANCE}th instance of ONAP \n"
- printf "\n********** Due to port allocation only ${MAX_INSTANCE} instances of ONAP is allowed per kubernetes deployment\n"
- exit 1
-fi
-
-start=$((300+2*INSTANCE))
-end=$((start+1))
-
-printf "\n********** Creating instance ${INSTANCE} of ONAP with port range ${start}00 and ${end}99\n"
-
-
-printf "\n********** Creating ONAP: ${ONAP_APPS[*]}\n"
-
-if [ "$SINGLE_COMPONENT" == "false" ]
-then
- printf "\nCreating namespace **********\n"
- create_namespace $NS
-
- printf "\nCreating registry secret **********\n"
- create_registry_key $NS ${NS}-docker-registry-key $ONAP_DOCKER_REGISTRY $DU $DP $ONAP_DOCKER_MAIL
-
- printf "\nCreating service account **********\n"
- create_service_account $NS
-fi
-
-printf "\n\n********** Creating deployments for ${HELM_APPS[*]} ********** \n"
-
-for i in ${HELM_APPS[@]}; do
-
- printf "\nCreating deployments and services **********\n"
- create_onap_helm $NS $i $start
-
- printf "\n"
-done
-
-printf "\n**** Done ****\n"